org.apache.cassandra.utils

## Interface IMergeIterator<In,Out>

- All Superinterfaces:
    java.lang.AutoCloseable, CloseableIterator<Out>, java.util.Iterator<Out>
  All Known Implementing Classes:
    MergeIterator

      public interface IMergeIterator<In,Out>
      extends CloseableIterator<Out>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Iterable<? extends java.util.Iterator<In>>` | `iterators()`

    - ### Methods inherited from interface org.apache.cassandra.utils.CloseableIterator

      `close`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

- - ### Method Detail

    - #### iterators

          java.lang.Iterable<? extends java.util.Iterator<In>> iterators()

Copyright © 2018 The Apache Software Foundation